Qt API | Qtopia API | Qtopia Documentation |

# DateBookDB Class Reference
[obsolete]

The DateBookDB class is used to access event information in the Qtopia database. More...

`#include <qtopia/datebookdb.h>`

List of all member functions.

## Public Members

- DateBookDB ()
- ~DateBookDB ()
- QValueList<Event> getEvents ( const QDate & from, const QDate & to )
- QValueList<Event> getEvents ( const QDateTime & start )
- QValueList<EffectiveEvent> getEffectiveEvents ( const QDate & from, const QDate & to )
- QValueList<EffectiveEvent> getEffectiveEvents ( const QDateTime & start )
- QValueList<Event> getRawRepeats () const
- QValueList<Event> getNonRepeatingEvents ( const QDate & from, const QDate & to ) const
- void addEvent ( const Event & ev, bool doalarm = TRUE )
- void removeEvent ( const Event & ev )
- void editEvent ( const Event & old, Event & ev )
- void addJFEvent ( const Event & ev, bool doalarm = TRUE )
- void removeJFEvent ( const Event & ev )
- bool save ()
- void reload ()

## Detailed Description

The DateBookDB class is used to access event information in the Qtopia database.

This class is obsolete. It is provided to keep old source working. We strongly advise against using it in new code.

See also DateBookIterator and Qtopia Classes.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.